package com.gic.haoban.manage.service.service;

import java.util.List;

import com.gic.haoban.manage.api.dto.MemberUnionidRelatedDTO;
import com.gic.haoban.manage.service.entity.MemberUnionidRelated;

public interface MemberUnionRelatedService {

	MemberUnionidRelatedDTO getByUnionId(String wxEnterpriseId, String wxUserId, String unionid);
	
	MemberUnionidRelatedDTO getByMemberId(String wxUserId, String memberId);
	
	String addMemberUnionidRelated(MemberUnionidRelatedDTO dto);
	
	void delMemberUnionidRelated(MemberUnionidRelatedDTO dto);

	/**
	 * 删除外部联系人关系
	 *
	 * @param wxEnterpriseId
	 * @param wxUserId
	 * @param externalUserids
	 */
	void delMemberUnionidRelatedBatch(String wxEnterpriseId, String wxUserId, List<String> externalUserids);

	List<MemberUnionidRelatedDTO> getByWxUserIdAndWxEnterpriseId(String wxUserId, String wxEnterpriseId);

	MemberUnionidRelatedDTO getByParams(String wxUserId, String enterpriseId, String name, String createTime);

	void update(MemberUnionidRelatedDTO exsitDTO);

	void clean(String cid);

	com.github.pagehelper.Page<MemberUnionidRelated> pageMemberUnionByParams(List<String> userIdList, List<String> sendMemberIds,
			String enterpriseId);

	void cleanStaffRelated(String wxEnterpriseId, List<String> staffIds);

	/**
	 * 根据应用内的外部联系人id 获取信息
	 *
	 * @param wxUserId
	 * @param wxEnterpriseId
	 * @param selfExternalUserId
	 * @return
	 */
	MemberUnionidRelatedDTO getBySelfExternalUserId(String wxUserId, String wxEnterpriseId, String selfExternalUserId);
}
